> For the complete documentation index, see [llms.txt](https://docs.shiftiq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shiftiq.com/developers/api-v1/api-reference/billing.md).

# Billing

## GET /api/billing/products

> List products

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/billing/products":{"get":{"tags":["Billing"],"summary":"List products","operationId":"Products_ListProducts","parameters":[{"schema":{"type":"string","format":"uuid"},"name":"organization","in":"query","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```

## GET /api/billing/product

> Get one product by product id

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/billing/product":{"get":{"tags":["Billing"],"summary":"Get one product by product id","operationId":"Products_GetProduct","parameters":[{"schema":{"type":"string","format":"uuid"},"name":"productId","in":"query","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```

## GET /api/billing/checkout-info

> Returns persons checkout information using the person's unique globally unique identifier.

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/billing/checkout-info":{"get":{"tags":["Billing"],"summary":"Returns persons checkout information using the person's unique globally unique identifier.","operationId":"Products_Get","parameters":[{"schema":{"type":"string","format":"uuid"},"name":"user","in":"query","required":true},{"schema":{"type":"string","format":"uuid"},"name":"organization","in":"query","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```

## POST /api/billing/create-order

> Creates Invoice based on order information object.

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/billing/create-order":{"post":{"tags":["Billing"],"summary":"Creates Invoice based on order information object.","operationId":"Products_CreateOrder","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderInfo"}},"text/json":{"schema":{"$ref":"#/components/schemas/OrderInfo"}},"application/xml":{"schema":{"$ref":"#/components/schemas/OrderInfo"}},"text/xml":{"schema":{"$ref":"#/components/schemas/OrderInfo"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/OrderInfo"}},"text/html":{"schema":{"$ref":"#/components/schemas/OrderInfo"}}},"required":true}}}},"components":{"schemas":{"OrderInfo":{"type":"object","properties":{"Organization":{"format":"uuid","type":"string"},"Customer":{"format":"uuid","type":"string"},"Invoice":{"format":"uuid","type":"string"},"InvoiceNumber":{"format":"int32","type":"integer"},"CreatedDate":{"format":"date-time","type":"string"},"CheckoutInfo":{"$ref":"#/components/schemas/CheckoutInfo"},"OrderItems":{"type":"array","items":{"$ref":"#/components/schemas/OrderItem"}}}},"CheckoutInfo":{"type":"object","properties":{"FirstName":{"type":"string"},"MiddleName":{"type":"string"},"LastName":{"type":"string"},"Email":{"type":"string"},"Company":{"type":"string"},"Street1":{"type":"string"},"Street2":{"type":"string"},"City":{"type":"string"},"State":{"type":"string"},"Country":{"type":"string"},"PostalCode":{"type":"string"},"Phone":{"type":"string"}}},"OrderItem":{"type":"object","properties":{"Id":{"format":"uuid","type":"string"},"Quantity":{"format":"int32","type":"integer"},"Description":{"type":"string"},"Price":{"format":"double","type":"number"},"ProductId":{"format":"uuid","type":"string"},"Name":{"type":"string"},"ProductUrl":{"type":"string"}}}}}}
```

## GET /api/billing/invoice

> Returns invoice and invoice kids using invoice unique identifier.

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/billing/invoice":{"get":{"tags":["Billing"],"summary":"Returns invoice and invoice kids using invoice unique identifier.","operationId":"Products_GetInvoice","parameters":[{"schema":{"type":"string","format":"uuid"},"name":"invoice","in":"query","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```

## GET /api/billing/orders

> Returns all orders made by a customer.

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/billing/orders":{"get":{"tags":["Billing"],"summary":"Returns all orders made by a customer.","operationId":"Products_GetOrders","parameters":[{"schema":{"type":"string","format":"uuid"},"name":"user","in":"query","required":true},{"schema":{"type":"string","format":"uuid"},"name":"organization","in":"query","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.shiftiq.com/developers/api-v1/api-reference/billing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
